Package org.apache.wiki.ui

# Class Editor

java.lang.Object
org.apache.wiki.ui.Editor

public class Editor extends Object
Describes an editor.

Since:
  2.4.12

## Constructor Summary

Constructors
Constructor
Description
`Editor(org.apache.wiki.api.core.Context wikiContext, String editorName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`isSelected()`
Convenience method which returns XHTML for an option element.
`String`
`isSelected(String ifSelected)`
`String`
`isSelected(String ifSelected, String ifNotSelected)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Editor

public Editor(org.apache.wiki.api.core.Context wikiContext, String editorName)

## Method Details

### getName

public String getName()

### isSelected

public String isSelected()
Convenience method which returns XHTML for an option element.

Returns:
  "selected='selected'", if this editor is selected.

### isSelected

public String isSelected(String ifSelected)

### isSelected

public String isSelected(String ifSelected, String ifNotSelected)

### toString

public String toString()

Overrides:
  `toString` in class `Object`